Name:           mhonarc
Version:        2.6.16
Release:        6%{?dist}
Summary:        Perl mail-to-HTML converter

Group:          Applications/Internet
License:        GPLv2+
URL:            http://www.mhonarc.org/
Source:         http://www.mhonarc.org/release/MHonArc/tar/MHonArc-2.6.16.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
Provides:       MHonArc = %{version}-%{release}


%description
MHonArc is a Perl mail-to-HTML converter. MHonArc provides HTML mail
archiving with index, mail thread linking, etc; plus other
capabilities including support for MIME and powerful user
customization features.


%prep
%setup -q -n MHonArc-%{version}

# Filter out unwanted requires
cat << EOF > %{name}-req
#!/bin/sh
%{__perl_requires} $* |\
sed -e '/perl(.*\.pl)/d'
EOF

%global __perl_requires %{_builddir}/MHonArc-%{version}/%{name}-req
chmod +x %{__perl_requires}


%install
rm -rf $RPM_BUILD_ROOT
%{__perl} install.me -batch -libpath $RPM_BUILD_ROOT%{_datadir}/MHonArc \
  -nodoc -manpath $RPM_BUILD_ROOT%{_mandir} -binpath $RPM_BUILD_ROOT%{_bindir}
# Aww, remainders of buildroot and /usr/local, weed 'em out.
%{__perl} -pi -e \
  "s|$RPM_BUILD_ROOT\b||g ; s|/usr/local/bin/perl\b|%{__perl}|g" \
  $RPM_BUILD_ROOT%{_bindir}/* examples/mha*


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc ACKNOWLG BUGS CHANGES COPYING RELNOTES TODO
%doc doc examples extras logo
%{_bindir}/mh*
%{_datadir}/MHonArc
%{_mandir}/man1/mh*.1*


%changelog
* Mon Mar 09 2009 Aurelien Bompard <abompard@fedoraproject.org> 2.6.16-6
- filter out unwanted Requires (provided by MHonArc itself)

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.6.16-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sun Aug 26 2007 Aurelien Bompard <abompard@fedoraproject.org> 2.6.16-4
- fix license tag

* Sat Nov 18 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.6.16-3
- rebuild, perl-Unicode-Map8 now builds on x86_64

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 2.6.16-2
- rebuild

* Thu Jun 15 2006 Aurelien Bompard <gauret[AT]free.fr> 2.6.16-1
- version 2.6.16

* Thu Feb 23 2006 Aurelien Bompard <gauret[AT]free.fr> 2.6.15-4
- excludearch x86_64

* Wed Feb 22 2006 Aurelien Bompard <gauret[AT]free.fr> 2.6.15-3
- rebuild for FC5

* Wed Jul 27 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.15-2
- rebuild

* Wed Jul 27 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.15-1
- version 2.6.15

* Sat Jul 23 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.14-1
- version 2.6.14

* Sat Jun 11 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.12-1
- version 2.6.12 

* Mon May 23 2005 Aurelien Bompard <gauret[AT]free.fr> 2.6.11-1%{?dist}
- version 2.6.11
- use dist tag

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Mon May 17 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.6.10-0.fdr.1
- version 2.6.10 (bugfix for old perl)

* Sat May 08 2004 Aurelien Bompard <gauret[AT]free.fr> 0:2.6.9-0.fdr.1
- version 2.6.9

* Sat Dec  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.8-0.fdr.2
- Fix $RPM_BUILD_ROOT replacing (bug 39).

* Sat Oct 11 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.8-0.fdr.1
- Update to 2.6.8.

* Fri Aug  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.7-0.fdr.1
- Update to 2.6.7.

* Wed Jul 23 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.6-0.fdr.1
- Update to 2.6.6.

* Sun Jul  6 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.4-0.fdr.1
- Update to 2.6.4.

* Wed May  7 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.3-0.fdr.2
- %%{buildroot} -> $RPM_BUILD_ROOT.
- s/MHonArc/mhonarc/

* Tue Apr  8 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.3-0.fdr.1
- Update to 2.6.3.
- Save .spec in UTF-8.

* Fri Mar 21 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.6.2-0.fdr.1
- Update to 2.6.2, and to current Fedora guidelines.

* Sun Mar  2 2003 Ville Skyttä <ville.skytta at iki.fi> - 2.6.1-1.fedora.1
- First Fedora release, based on work of Mandrake folks.
- Moved stuff from %%{_libdir} to %%{_datadir}.

* Mon Feb 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.1-1mdk
- 2.6.1

* Mon Feb 10 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.6.0-1mdk
- 2.6.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.5.14-2mdk
- rebuild

* Sun Jan 26 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.14-1mdk
- security release
- misc spec file fixes

* Tue Oct 22 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.13-1mdk
- 2.5.13

* Tue Jul 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.10-1mdk
- 2.5.10

* Mon Jul 22 2002  Lenny Cartier <lenny@mandrakesoft.com> 2.5.9-1mdk
- 2.5.9

* Fri Jul 12 2002 Pixel <pixel@mandrakesoft.com> 2.5.7-2mdk
- remove "AutoReqProv: no" (it doesn't change anything)
- rebuild for new perl 5.8.0

* Mon Jun 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.7-1mdk
- 2.5.7

* Tue Jun 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.6-1mdk
- 2.5.6

* Tue May 28 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.5.5-1mdk
- 2.5.5
- quiet the %%setup

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.5.3-1mdk
- 2.5.3

* Wed Jun 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.9-1mdk
- License
- updated to 2.4.9

* Sat Apr 14 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.8-1mdk
- Build a 2.4.8.

* Tue Jan 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.4.7-2mdk
- clean spec

* Fri Nov 03 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 2.4.7-1mdk
- shamelessly ripped from RedHat contribs.

* Fri Feb 18 2000 Yuri Detzel <yad@mail.ru>
- Updated to version 2.4.5
- Fixed rewriting and deleting files in lib directory
  during building of RPM package
- Updated to new url of MHonArc home page

* Wed Aug 18 1999 Chuck Mead <csm@lunar-penguin.com>
- Updated to version 2.4.3

* Sat Jun 26 1999 Jeff Breidenbach <jeff@alum.mit.edu>
- Updated to version 2.4.0

* Wed Nov 18 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- Added utilities to RPM (mha-dbedit, mha-dbrecover)

* Wed Nov 11 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- Removed "BuildRoot:" to fix path problem.

* Mon Nov 9 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- updated to version 2.3.3
- updated Perl requirement to perl 5.
- Removed RPM patch; used install.me command line options instead

* Tue Oct 27 1998 Jeff Breidenbach <jeff@alum.mit.edu>
- updated to version 2.3.1

* Wed Apr 1 1998 Stig HackVän <stig@hackvan.com>
- removed bogus "%dep" macro from %%install script
- removed bogus %doc tags from the /usr/{bin,lib} files
- moved to noarch architecture

* Wed Mar 3 1998 Jeff Breidenbach <jeff@jab.org>
- built new version under RedHat Hurricane w/ glibc

* Wed Nov 19 1997 Greg Boehnlein <damin@nacs.net>
- rebuilt under RedHat Mustang w/ glibc

* Sat Nov 08 1997 Andrew Pimlott <pimlott@math.harvard.edu>
- started from a contrib'ed RPM for version 1.2.3.  There was no
  identification of the original packager.
- lots of clean-up
- BuiltRoot'ed
